/*
 * @Company: hugeInfo
 * @Author: ldh
 * @Date: 2022-07-08 18:27:18
 * @LastEditTime: 2024-08-10 10:12:34
 * @LastEditors: dminyi 1301963064@qq.com
 * @Version: 1.0.0
 * @Description:
 */
import React from 'react';
import PropTypes from 'prop-types';
import { Space } from 'antd';
import './index.less';

const MyButtonTabs = ({ tabs, activeKey, style, onChange, keyStr = ['key', 'label'], border = false }) => {
	return (
		<div className={`MyButtonTabs ${border ? 'MyButtonTabs-border' : ''}`} style={style}>
			<Space size={32} wrap>
				{tabs.map((x, t) => {
					return (
						<div
							onClick={() => onChange(x[keyStr[0]])}
							key={x[keyStr[0]]}
							className={`MyButtonTabs-tab ${activeKey === x[keyStr[0]] ? 'MyButtonTabs-active' : ''}`}
						>
							{x[keyStr[1]]}
						</div>
					);
				})}
			</Space>
		</div>
	);
};

MyButtonTabs.propTypes = {
	tabs: PropTypes.array,
	activeKey: PropTypes.any,
	style: PropTypes.object,
	onChange: PropTypes.func,
	keyStr: PropTypes.array,
};

export default MyButtonTabs;
